<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 40;

$sightsArray = array();

$longName = 'Teilnehmerübersicht';
$tool_id = 6;
$toolName = 'MaTeilnehmerinfo';
$toolNameBasis = 'Teilnehmerinfo';

$sight = new SightItemTool();
$sight->name = 'Teilnehmerdetails';
$sight->id = 'ReiterPersonendetails';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\TeilnehmerDetails\TeilnehmerDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Bankverbindungen';
$sight->id = 'ReiterBankverbindungen';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->subGroup = 'Bankdaten';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Bankverbindungen\BankverbindungenReiterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Bankdetails Dialog';
$sight->id = 'BankdetailsDialog';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->subGroup = 'Bankdaten';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Bankverbindungen\BankdetailsDialog\BankdetailsDialogView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Abmelden Dialog';
$sight->id = 'AbmeldenDialog';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->subGroup = 'Belegte Kurse';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\BelegteKurse\AbmeldenDialog\AbmeldenDialogView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kursfilter';
$sight->id = 'FilterBelegteKurse';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->subGroup = 'Belegte Kurse';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\BelegteKurse\BelegteKurseFilter\BelegteKurseFilterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Reiter für belegte Kurse';
$sight->id = 'ReiterBelegteKurse';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->subGroup = 'Belegte Kurse';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\BelegteKurse\BelegteKurseReiterView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Belegte Kurse';
$sight->id = 'BelegteKurse';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->subGroup = 'Belegte Kurse';
$sight->nameHeader = 'Checkbox Beschriftung';
$sight->nameBody = 'Zusätzlicher Zeileninhalt';
$sight->nameFooter = 'Checkbox Attribute';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\BelegteKurse\BelegteKurseRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Qualifikationen';
$sight->id = 'ReiterQualifikationen';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->subGroup = 'Qualifikationen';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Qualifikationen\QualifikationenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Werdegang';
$sight->id = 'Werdegang';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->subGroup = 'Qualifikationen';
$sight->nameHeader = 'Checkbox Beschriftung';
$sight->nameBody = 'Zusätzlicher Zeileninhalt';
$sight->nameFooter = 'Checkbox Attribute';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Qualifikationen\WerdegangRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Ausbildung';
$sight->id = 'Ausbildung';
$sight->toolid = 'TnInfo';
$sight->toolGroup = $toolName;
$sight->group = 'Details - Reiter';
$sight->subGroup = 'Qualifikationen';
$sight->nameHeader = 'Checkbox Beschriftung';
$sight->nameBody = 'Zusätzlicher Zeileninhalt';
$sight->nameFooter = 'Checkbox Attribute';
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Qualifikationen\AusbildungRowView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Teilnehmerdetails';
$sight->id = 'TeilnehmerDetails';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\TeilnehmerDetails\TeilnehmerDetailsView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter - Teilnehmerübersicht';
$sight->id = 'FilterTeilnehmerUebersicht';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\TeilnehmerUebersicht\FilterTeilnehmerUebersicht\FilterTeilnehmerUebersichtView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Neuer Teilnehmer';
$sight->id = 'NewTeilnehmer';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\NewTeilnehmer\NewTeilnehmerView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Update Teilnehmer';
$sight->id = 'UpdateTeilnehmer';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\UpdateTeilnehmer\UpdateTeilnehmerView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Sammel-E-Mail Formular';
$sight->id = 'SammelEMailTn';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\SammelEMail\SammelEMailView(null);
array_push($sightsArray, $sight);